#include "AntiCampSelfUnhookComponent.h"
#include "ETimedEffectMeterState.h"
#include "Net/UnrealNetwork.h"

class UChargeableComponent;
class ADBDPlayer;

void UAntiCampSelfUnhookComponent::SetAntiCampUnhookChargeable(UChargeableComponent* component)
{

}

void UAntiCampSelfUnhookComponent::OnRep_State(ETimedEffectMeterState previousState)
{

}

void UAntiCampSelfUnhookComponent::OnRep_Progress()
{

}

void UAntiCampSelfUnhookComponent::OnHookedSurvivorDrainStageChanged(const int32 drainStage, ADBDPlayer* target)
{

}

void UAntiCampSelfUnhookComponent::OnEscapeDoorActivated()
{

}

float UAntiCampSelfUnhookComponent::GetProgress() const
{
	return 0.0f;
}

float UAntiCampSelfUnhookComponent::GetAntiCampMaxXYCurveDistanceTime() const
{
	return 0.0f;
}

float UAntiCampSelfUnhookComponent::GetAntiCampMaxUpperZCurveDistanceTime() const
{
	return 0.0f;
}

float UAntiCampSelfUnhookComponent::GetAntiCampMaxLowerZCurveDistanceTime() const
{
	return 0.0f;
}

float UAntiCampSelfUnhookComponent::GetAntiCampGracePeriod() const
{
	return 0.0f;
}

void UAntiCampSelfUnhookComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UAntiCampSelfUnhookComponent, _state);
	DOREPLIFETIME(UAntiCampSelfUnhookComponent, _progress);
}

UAntiCampSelfUnhookComponent::UAntiCampSelfUnhookComponent()
{
	this->_state = ETimedEffectMeterState::Hidden;
	this->_antiCampGracePeriod = 7.000000;
	this->_progress = 0.000000;
}
